From 584ecc55e592c09318c98bb2c9ff49ddb0b218db Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 15 Mar 2026 11:07:18 +0000
Subject: [PATCH] linux-firmware: upgrade 20260221 -> 20260309

---
 ...20260221.bb => linux-firmware_20260309.bb} | 799 +++++++++++++++++-
 1 file changed, 797 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20260221.bb => linux-firmware_20260309.bb} (77%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20260221.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20260309.bb
similarity index 77%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20260221.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20260309.bb
index 168ccaa6d5..dc65edd627 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20260221.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20260309.bb
@@ -1,3 +1,798 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -2882,12 +2882,18 @@
+#  
+#  Driver: amdxdna - AMD Inference processor
+#  
+# +File: amdnpu/1502_00/npu.sbin.1.5.2.380
+# +Link: amdnpu/1502_00/npu.sbin -> npu.sbin.1.5.2.380
+# +File: amdnpu/17f0_10/npu.sbin.1.0.0.63
+# +Link: amdnpu/17f0_10/npu.sbin -> npu.sbin.1.0.0.63
+# +File: amdnpu/17f0_11/npu.sbin.1.0.0.166
+# +Link: amdnpu/17f0_11/npu.sbin -> npu.sbin.1.0.0.166
+#  File: amdnpu/1502_00/npu.sbin.1.5.5.391
+# -Link: amdnpu/1502_00/npu.sbin -> npu.sbin.1.5.5.391
+# +Link: amdnpu/1502_00/npu_7.sbin -> npu.sbin.1.5.5.391
+#  File: amdnpu/17f0_10/npu.sbin.1.1.2.64
+# -Link: amdnpu/17f0_10/npu.sbin -> npu.sbin.1.1.2.64
+# +Link: amdnpu/17f0_10/npu_7.sbin -> npu.sbin.1.1.2.64
+#  File: amdnpu/17f0_11/npu.sbin.1.1.2.65
+# -Link: amdnpu/17f0_11/npu.sbin -> npu.sbin.1.1.2.65
+# +Link: amdnpu/17f0_11/npu_7.sbin -> npu.sbin.1.1.2.65
+#  
+#  Licence: Redistributable. See LICENSE.amdnpu for details.
+#  
+# @@ -4307,12 +4313,24 @@
+#  File: intel/ibt-0190-0041-usb.sfi
+#  Version: BT_BlazariGfp_S_REL156_24.00.25462.156
+#  
+# +#below fw files are for BlazarIW for WCL
+# +File: intel/ibt-1190-0041-iml.sfi
+# +File: intel/ibt-1190-0041-pci.ddc
+# +File: intel/ibt-1190-0041-pci.sfi
+# +Version: BT_BlazariGfp_S_REL182_24.00.25515.182
+# +
+#  File: intel/ibt-0190-0291-iml.sfi
+#  File: intel/ibt-0190-0291-usb.ddc
+#  File: intel/ibt-0190-0291-usb.sfi
+#  File: intel/ibt-0190-0291-pci.ddc
+#  File: intel/ibt-0190-0291-pci.sfi
+#  Version: BT_BlazarI_S_REL109743_24.20.26030.109743
+# +
+# +# Below fw files are for BlazarIW for WCL
+# +File: intel/ibt-1190-01a1-iml.sfi
+# +File: intel/ibt-1190-01a1-pci.ddc
+# +File: intel/ibt-1190-01a1-pci.sfi
+# +Version: BT_BlazarI_S_REL109279_24.20.26022.109279
+#  
+#  File: intel/ibt-00a0-01a1-iml.sfi
+#  File: intel/ibt-00a0-01a1-pci.ddc
+# @@ -4817,23 +4835,23 @@
+#  File: qca/nvm_usb_00130200_0109.bin
+#  File: qca/nvm_usb_00130200_0110.bin
+#  File: qca/rampatch_usb_00130201.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_010a.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_010b.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_0303.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_gf.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_gf_010a.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_gf_010b.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/nvm_usb_00130201_gf_0303.bin
+# -Version: BTFW.HSP.2.1.0-00659-USB_UART_PATCHZ-1
+# +Version: BTFW.HSP.2.1.0-00665-USB_UART_PATCHZ-1
+#  File: qca/rampatch_usb_00190200.bin
+#  File: qca/QCA2066/rampatch_usb_00130201.bin
+#  Version: BTFW.HSP.2.1.0-00653-VER_PATCHZ-3
+# @@ -4932,15 +4950,15 @@
+#  Driver: qca - Qualcomm Atheros Bluetooth support for WCN6750 chips
+#  
+#  File: qca/msbtfw11.mbn
+# -Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00106-MSL_PATCHZ-1
+#  File: qca/msbtfw11.tlv
+# -Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00106-MSL_PATCHZ-1
+#  File: qca/msnv11.bin
+# -Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00106-MSL_PATCHZ-1
+#  File: qca/msnv11.b0a
+# -Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00106-MSL_PATCHZ-1
+#  File: qca/msnv11.b09
+# -Version: BTFW.MOSELLE.1.1.3-00105-MSL_PATCHZ-1
+# +Version: BTFW.MOSELLE.1.1.3-00106-MSL_PATCHZ-1
+#  
+#  Licence: Redistributable. See LICENSE.QualcommAtheros_ath10k and qca/NOTICE.txt for details
+#  
+# @@ -6241,6 +6259,26 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: mt7902 - MediaTek MT7902 Wireless MACs
+# +
+# +File: mediatek/WIFI_MT7902_patch_mcu_1_1_hdr.bin
+# +Version: 20251212032046a
+# +File: mediatek/WIFI_RAM_CODE_MT7902_1.bin
+# +Version: 20251212032127
+# +
+# +Licence: Redistributable. See LICENCE.mediatek for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: mt7902 - MediaTek MT7902 bluetooth chipset
+# +
+# +File: mediatek/BT_RAM_CODE_MT7902_1_1_hdr.bin
+# +Version: 20250826211444
+# +
+# +Licence: Redistributable. See LICENCE.mediatek for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+#  Driver: mt7920 - MediaTek MT7920 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1a_2_hdr.bin
+# @@ -6284,9 +6322,9 @@
+#  Driver: mt7922 - MediaTek MT7922 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
+# -Version: 20260106153416a
+# +Version: 20260224103145a
+#  File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
+# -Version: 20260106153428
+# +Version: 20260224103233
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6295,7 +6333,7 @@
+#  Driver: mt7922 - MediaTek MT7922 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
+# -Version: 20260106153735
+# +Version: 20260224103448
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6788,7 +6826,7 @@
+#  RawFile: qcom/qcm6490/adspua.jsn
+#  RawFile: qcom/qcm6490/battmgr.jsn
+#  File: qcom/qcm6490/cdsp.mbn
+# -Version: CDSP.HT.2.5.c3-00130-KODIAK-1
+# +Version: CDSP.HT.2.5.c3-00134-KODIAK-1
+#  RawFile: qcom/qcm6490/cdspr.jsn
+#  File: qcom/qcm6490/ipa_fws.mbn
+#  Link: qcom/qcs6490/adsp.mbn -> ../qcm6490/adsp.mbn
+# @@ -6965,14 +7003,14 @@
+#  RawFile: qcom/sa8775p/gpdspr.jsn
+#  File: qcom/sm8750/adsp.mbn
+#  File: qcom/sm8750/adsp_dtb.mbn
+# -Version: LPAIDSP.HT.1.2.c1-00379-PAKALA-1
+# +Version: LPAIDSP.HT.1.2.c1-00450-PAKALA-2
+#  RawFile: qcom/sm8750/adspr.jsn
+#  RawFile: qcom/sm8750/adsps.jsn
+#  RawFile: qcom/sm8750/adspua.jsn
+#  RawFile: qcom/sm8750/adspuo.jsn
+#  File: qcom/sm8750/cdsp.mbn
+#  File: qcom/sm8750/cdsp_dtb.mbn
+# -Version: CDSP.HT.3.1-00883-PAKALA-1
+# +Version: CDSP.HT.3.1-00889-PAKALA-1
+#  RawFile: qcom/sm8750/cdspr.jsn
+#  File: qcom/x1e80100/adsp.mbn
+#  File: qcom/x1e80100/adsp_dtb.mbn
+# @@ -7184,6 +7222,14 @@
+#  File: mrvl/prestera/mvsw_prestera_fw_arm64-v4.1.img
+#  
+#  Licence: Redistributable. See LICENCE.Marvell for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: lt8713sx - Lontium DP Hub
+# +
+# +File: lt8713sx_fw.bin
+# +
+# +License: Redistributable. See LICENSE.Lontium for details.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -8260,6 +8306,7 @@
+#  File: cirrus/cs35l56/CS35L56_Rev4.5.3.wmfw
+#  File: cirrus/cs35l56/CS35L56_Rev4.5.9.wmfw
+#  File: cirrus/cs35l63/CS35L63_Rev2.5.4.wmfw
+# +File: cirrus/cs35l63/CS35L63_Rev2.5.7.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.11.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10280c62-spkid0-amp2.bin
+# @@ -8428,6 +8475,336 @@
+#  Link: cirrus/cs35l56-b2-dsp1-misc-10280dd6-03.wmfw -> cs35l56/CS35L56_Rev4.5.9.wmfw
+#  File: cirrus/cs35l56-b2-dsp1-misc-10280dd6-03-ampl.bin
+#  File: cirrus/cs35l56-b2-dsp1-misc-10280dd6-03-ampr.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid0-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid0-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid1-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid2-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1c-spkid3-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid0-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid1-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid2-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1e-spkid3-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid0-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid0-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid0-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid1-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid1-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid1-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid2-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid2-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid2-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid3-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid3-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e1f-spkid3-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid0-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid0-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid0-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid1-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid1-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid1-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid2-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid2-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid2-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid3-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid3-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e20-spkid3-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid0-04-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid0-04-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid2-03-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid2-03-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-03-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-03-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-04-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e21-spkid3-04-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid0-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid0-02-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid0-02-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid2-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid2-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-02-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e22-spkid3-02-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-03-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-03-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-04-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid0-04-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-03-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-03-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-04-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid2-04-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid3-04-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e23-spkid3-04-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid0-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid2-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid3-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e24-spkid3-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid0-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid0-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid0-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid1-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid1-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid1-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid2-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid2-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid3-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e25-spkid3-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid0-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid0-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid0-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid1-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid1-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid1-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid2-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid2-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid3-01-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e26-spkid3-01-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid0-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid0-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid1-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid1-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid1-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid2-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid2-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid3-06-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e27-spkid3-06-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid0-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid0-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid0-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid1-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid1-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid1-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid2-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid2-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid2-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid3-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid3-05-l1u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e28-spkid3-05-l1u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid0-00.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid0-00-l1u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid0-00-l1u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid1-00.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid1-00-l1u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2b-spkid1-00-l1u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid0-00.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid0-00-l1u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid0-00-l1u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid1-00.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid1-00-l1u1.bin
+# +File: cirrus/cs35l63-a1-dsp1-misc-10280e2c-spkid1-00-l1u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid0-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid2-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid3-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e38-spkid3-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid0-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid0-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid0-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid0-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid1-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid1-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid1-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid1-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid2-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid2-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid3-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3e-spkid3-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1c-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid0-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid1-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid1-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid2-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-07.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-07-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e3f-spkid3-07-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1e-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid0-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid0-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid0-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid2-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid2-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid2-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-03-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e82-spkid3-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1b-spkid3-04-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid0-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid0-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid0-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid0-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid2-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid2-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid2-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid2-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-01.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-01-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-01-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-01-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-02.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-02-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e83-spkid3-02-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1a-spkid3-02-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid0-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-05.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-05-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-05-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid2-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid3-06.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid3-06-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e84-spkid3-06-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid0-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid0-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-03.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-03-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-03-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-05-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid2-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid2-06-l3u3.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid3-04.wmfw -> cs35l63/CS35L63_Rev2.5.7.wmfw
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid3-04-l3u1.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u1.bin
+# +Link: cirrus/cs35l63-a1-dsp1-misc-10280e85-spkid3-04-l3u3.bin -> cs35l63-a1-dsp1-misc-10280e1d-spkid3-06-l3u3.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8c52.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-103c8c52-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-103c8c52-amp2.bin
+# @@ -8725,6 +9102,126 @@
+#  Link: sdca/1fa/1028/dba/3.bin -> ../db3/3.bin
+#  Link: sdca/1fa/1028/dba/4.bin -> ../db3/4.bin
+#  Link: sdca/1fa/1028/dba/42450005.bin -> ../db3/42450005.bin
+# +File: sdca/1fa/1028/e1a/1.bin
+# +File: sdca/1fa/1028/e1a/2.bin
+# +File: sdca/1fa/1028/e1a/3.bin
+# +File: sdca/1fa/1028/e1a/4.bin
+# +File: sdca/1fa/1028/e1a/42450005.bin
+# +Link: sdca/1fa/1028/e1b/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e1b/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e1b/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e1b/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e1b/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e1c/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e1c/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e1c/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e1c/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e1c/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e1d/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e1d/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e1d/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e1d/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e1d/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e1e/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e1e/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e1e/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e1e/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e1e/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e1f/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e1f/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e1f/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e1f/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e1f/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e20/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e20/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e20/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e20/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e20/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e38/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e38/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e38/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e38/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e38/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e3e/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e3e/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e3e/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e3e/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e3e/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e3f/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e3f/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e3f/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e3f/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e3f/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e82/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e82/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e82/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e82/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e82/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e83/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e83/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e83/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e83/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e83/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e84/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e84/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e84/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e84/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e84/42450005.bin -> ../e1a/42450005.bin
+# +Link: sdca/1fa/1028/e85/1.bin -> ../e1a/1.bin
+# +Link: sdca/1fa/1028/e85/2.bin -> ../e1a/2.bin
+# +Link: sdca/1fa/1028/e85/3.bin -> ../e1a/3.bin
+# +Link: sdca/1fa/1028/e85/4.bin -> ../e1a/4.bin
+# +Link: sdca/1fa/1028/e85/42450005.bin -> ../e1a/42450005.bin
+# +File: sdca/1fa/1028/e22/1.bin
+# +File: sdca/1fa/1028/e22/2.bin
+# +File: sdca/1fa/1028/e22/3.bin
+# +File: sdca/1fa/1028/e22/4.bin
+# +File: sdca/1fa/1028/e22/42450005.bin
+# +Link: sdca/1fa/1028/e21/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e21/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e21/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e21/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e21/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e23/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e23/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e23/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e23/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e23/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e24/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e24/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e24/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e24/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e24/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e25/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e25/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e25/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e25/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e25/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e26/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e26/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e26/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e26/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e26/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e27/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e27/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e27/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e27/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e27/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e28/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e28/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e28/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e28/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e28/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e2b/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e2b/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e2b/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e2b/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e2b/42450005.bin -> ../e22/42450005.bin
+# +Link: sdca/1fa/1028/e2c/1.bin -> ../e22/1.bin
+# +Link: sdca/1fa/1028/e2c/2.bin -> ../e22/2.bin
+# +Link: sdca/1fa/1028/e2c/3.bin -> ../e22/3.bin
+# +Link: sdca/1fa/1028/e2c/4.bin -> ../e22/4.bin
+# +Link: sdca/1fa/1028/e2c/42450005.bin -> ../e22/42450005.bin
+#  File: sdca/1fa/17aa/2352/1.bin
+#  File: sdca/1fa/17aa/2352/2.bin
+#  File: sdca/1fa/17aa/2352/3.bin
+# @@ -8842,14 +9339,24 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: qcom-kaanapali - Qualcomm ASoC tplg Firmware
+# +File: qcom/kaanapali/Kaanapali-MTP-tplg.bin
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+# +
+# +Licence: Redistributable. See LICENCE.linaro for details
+# +Originates from https://github.com/linux-msm/audioreach-topology.git
+# +
+# +--------------------------------------------------------------------------
+# +
+#  Driver: qcom-qcs6490 - Qualcomm ASoC topology
+#  File: qcom/qcs6490/radxa/dragon-q6a/QCS6490-Radxa-Dragon-Q6A-tplg.bin
+#  Link: qcom/qcs6490/QCS6490-Radxa-Dragon-Q6A-tplg.bin -> radxa/dragon-q6a/QCS6490-Radxa-Dragon-Q6A-tplg.bin
+#  File: qcom/qcs6490/Thundercomm/RubikPi3/QCS6490-Thundercomm-RubikPi3-tplg.bin
+#  Link: qcom/qcs6490/QCS6490-Thundercomm-RubikPi3-tplg.bin -> Thundercomm/RubikPi3/QCS6490-Thundercomm-RubikPi3-tplg.bin
+#  File: qcom/qcs6490/QCS6490-RB3Gen2-tplg.bin
+# -Version: v1.0.1
+# -Info: DATE=10.01.2026
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# @@ -8858,7 +9365,8 @@
+#  
+#  Driver: qcom-qcs8300 - Qualcomm ASoC topology
+#  File: qcom/qcs8300/MONACO-EVK-tplg.bin
+# -Version: v0.1.0
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# @@ -8868,8 +9376,8 @@
+#  Driver: qcom-qcs9100 - Qualcomm ASoC topology
+#  File: qcom/sa8775p/LEMANS-EVK-tplg.bin
+#  Link: qcom/qcs9100/LEMANS-EVK-tplg.bin -> ../sa8775p/LEMANS-EVK-tplg.bin
+# -Version: v1.0.1
+# -Info: DATE=10.01.2026
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# @@ -9285,26 +9793,22 @@
+#  
+#  License: Redistributable. See LICENSE.intel for details
+#  
+# -File: LENOVO/ish/ish_lnlm_53c4ffad_2a17559f.bin
+# -Link: intel/ish/ish_lnlm_53c4ffad_2a17559f.bin -> ../../LENOVO/ish/ish_lnlm_53c4ffad_2a17559f.bin
+# +File: LENOVO/ish/ish_lnlm_lenovo_X9-14_2025_5.8.36.09092.bin
+# +Link: intel/ish/ish_lnlm_53c4ffad_a672a235.bin -> ../../LENOVO/ish/ish_lnlm_lenovo_X9-14_2025_5.8.36.09092.bin
+# +Info: product_family - "ThinkPad X9-14 Gen 1"
+# +Version: 5.8.36.09092
+# +
+# +File: LENOVO/ish/ish_lnlm_lenovo_X1_2025_5.8.4.7720.bin
+# +Link: intel/ish/ish_lnlm_53c4ffad_cb391961.bin -> ../../LENOVO/ish/ish_lnlm_lenovo_X1_2025_5.8.4.7720.bin
+# +Info: product_family - "ThinkPad X1 2-in-1 Gen 10"
+# +Link: intel/ish/ish_lnlm_53c4ffad_ebb27e41.bin -> ../../LENOVO/ish/ish_lnlm_lenovo_X1_2025_5.8.4.7720.bin
+# +Info: product_family - "ThinkPad X1 Carbon Gen 13"
+#  Version: 5.8.4.7720
+#  
+# -File: LENOVO/ish/ish_lnlm_53c4ffad_a672a235.bin
+# -Link: intel/ish/ish_lnlm_53c4ffad_a672a235.bin -> ../../LENOVO/ish/ish_lnlm_53c4ffad_a672a235.bin
+# -Version: 5.8.36.09092
+# -
+# -File: LENOVO/ish/ish_lnlm_53c4ffad_cb391961.bin
+# -Link: intel/ish/ish_lnlm_53c4ffad_cb391961.bin -> ../../LENOVO/ish/ish_lnlm_53c4ffad_cb391961.bin
+# -Version: 5.8.4.7720
+# -
+# -File: LENOVO/ish/ish_lnlm_53c4ffad_ebb27e41.bin
+# -Link: intel/ish/ish_lnlm_53c4ffad_ebb27e41.bin -> ../../LENOVO/ish/ish_lnlm_53c4ffad_ebb27e41.bin
+# -Version: 5.8.4.7720
+# -
+#  License: Redistributable. See LICENCE.lenovo for details
+#  
+# -File: HP/ish/ish_lnlm_12128606.bin
+# -Link: intel/ish/ish_lnlm_12128606.bin -> ../../HP/ish/ish_lnlm_12128606.bin
+# +File: HP/ish/ish_lnlm_12128606_f9751b71.bin
+# +Link: intel/ish/ish_lnlm_12128606_f9751b71.bin -> ../../HP/ish/ish_lnlm_12128606_f9751b71.bin
+#  Version: 5.8.200.7720_1029
+#  
+#  License: Redistributable. See LICENCE.HP for details
+# @@ -9405,8 +9909,8 @@
+#  
+#  Driver: qcm6490 - Qualcomm ASoC tplg Firmware
+#  File: qcom/qcm6490/QCM6490-IDP-tplg.bin
+# -Version: v1.0.1
+# -Info: DATE=10.01.2026
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# @@ -9414,8 +9918,8 @@
+#  
+#  Driver: qcs615 - Qualcomm ASoC tplg Firmware
+#  File: qcom/qcs615/TALOS-EVK-tplg.bin
+# -Version: v1.0.1
+# -Info: DATE=10.01.2026
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# @@ -9423,8 +9927,8 @@
+#  
+#  Driver: sm8450 - Qualcomm ASoC tplg Firmware
+#  File: qcom/sm8450/SM8450-HDK-tplg.bin
+# -Version: v1.0.1
+# -Info: DATE=10.01.2026
+# +Version: v1.0.2
+# +Info: DATE=28.02.2026
+#  
+#  Licence: Redistributable. See LICENCE.linaro for details
+#  Originates from https://github.com/linux-msm/audioreach-topology.git
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -310,7 +1105,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://LICENSE.xe;md5=c674d38774242bc0c528214721488118 \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=772c8667ff568e7de3a7794fd420f2f7 \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -452,7 +1247,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "bd19acc4c1a02548e09d3df67f987fe6e378df735bab138c1d9e917962056d94"
+SRC_URI[sha256sum] = "c74cc6f562b58ad5bc6b2b00a61abc29c9e49e06126e7ba34fbca9928e07a96c"
 
 inherit allarch
 
-- 
2.47.1

